Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jini.rio.jsb
Interface ServiceBeanAdapterMBean

All Known Subinterfaces:
  CybernodeImplMBean, ProvisionMonitorImplMBean

All Known Implementing Classes:
  BeanAdapter, JMXConnectorService, ServiceBeanAdapter

    public interface ServiceBeanAdapterMBean

Provides a standard MBean to use when administering a ServiceBean using JMX

Method Summary
`void` | `advertise()` The advertise method provides the capability for a ServiceBean to advertise itself on the network providing access to all clients.
`void` | `destroy()` The destroy method will destroy the ServiceBean forceably
`void` | `destroy(boolean force)` The destroy method is used to destroy a ServiceBeanAdapter.
`String[]` | `getLookupGroups()` Get the discovery groups
`Date` | `getStarted()` Get the Date the ServiceBean was started
`void` | `setLookupGroups(String[] groups)` Set the discovery groups
`void` | `unadvertise()` The unadvertise method informs the ServiceBean to cancel all advertisements (registrations, etc...) it has made on the network.

Method Detail

### advertise

    void advertise()
                   throws IOException

  The advertise method provides the capability for a ServiceBean to advertise itself on the network providing access to all clients. If the ServiceBean is already advertised, this method returns immediately. If the ServiceBean is not advertised, this method will obtain attributes from the ServiceBeanContext.getConfiguration(), and additionally create the following attributes and add them to the Collection of attributes for the service:
  - ComputeResourceUtilization
  - ApplianceInfo
  - StandardServiceType

  Throws:
    `IOException` - If errors occur accessing underlying communication mechanisms
    `IllegalStateException` - If the state transition is illegal

### unadvertise

    void unadvertise()

  The unadvertise method informs the ServiceBean to cancel all advertisements (registrations, etc...) it has made on the network. The ServiceBean must still be available to accept incoming communications

  Throws:
    `IllegalStateException` - If the state transition is illegal

### destroy

    void destroy()

  The destroy method will destroy the ServiceBean forceably

  Throws:
    `IllegalStateException` - If the state transition is illegal

### destroy

    void destroy(boolean force)

  The destroy method is used to destroy a ServiceBeanAdapter. This method will unadvertise and stop the ServiceBean

  Parameters:
    `force` - If true, unexports the ServiceBean even if there are pending or in-progress calls; if false, only unexports the ServiceBean if there are no pending or in-progress calls If the `force` parameters is `false`, unexporting the ServiceBean will be governed by the following configuration properties:
    - `maxUnexportDelay` Indicates the maximum amount of time to wait for unexport attempts
    - `unexportRetryDelay` Length of time to sleep between unexport attempts
  Throws:
    `IllegalStateException` - If the state transition is illegal

### getStarted

    Date getStarted()

  Get the Date the ServiceBean was started

### getLookupGroups

    String[] getLookupGroups()

  Get the discovery groups

### setLookupGroups

    void setLookupGroups(String[] groups)

  Set the discovery groups

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Project Rio.